packages: php/php-branch.sh - switch to svn

glen glen at pld-linux.org
Mon Oct 5 11:39:34 CEST 2009


Author: glen                         Date: Mon Oct  5 09:39:34 2009 GMT
Module: packages                      Tag: HEAD
---- Log message:
- switch to svn

---- Files affected:
packages/php:
   php-branch.sh (1.3 -> 1.4) 

---- Diffs:

================================================================
Index: packages/php/php-branch.sh
diff -u packages/php/php-branch.sh:1.3 packages/php/php-branch.sh:1.4
--- packages/php/php-branch.sh:1.3	Mon Oct  5 11:38:59 2009
+++ packages/php/php-branch.sh	Mon Oct  5 11:39:28 2009
@@ -1,15 +1,24 @@
 #!/bin/sh
-tag=php_5_2_10
+set -e
+svn=http://svn.php.net/repository/php/php-src
+tag=php_5_2_11
 branch=PHP_5_2
 
-if [ ! -d $tag ]; then
-	cvs -d :pserver:cvsread at cvs.php.net:/repository checkout -r $tag -d $tag php5
-fi
-if [ ! -d $branch ]; then
-	cvs -d :pserver:cvsread at cvs.php.net:/repository checkout -r $branch -d $branch php5
-fi
+d=$-
+filter() {
+	set -$d
+	# remove revno's for smaller diffs
+	sed -e 's,^\([-+]\{3\} .*\)\t(revision [0-9]\+)$,\1,'
+}
 
-cd $tag && cvs up -d && cd ..
-cd $branch && cvs up -d && cd ..
+old=$svn/tags/$tag
+new=$svn/branches/$branch
+echo >&2 "Running diff: $old -> $new"
+LC_ALL=C svn diff --old=$old --new=$new | filter > php-branch.diff.tmp
 
-diff -ur -x CVS $tag $branch > php-branch.diff
+if cmp -s php-branch.diff{,.tmp}; then
+	echo >&2 "No new diffs..."
+	rm -f php-branch.diff.tmp
+	exit 0
+fi
+mv -f php-branch.diff{.tmp,}
================================================================

---- CVS-web:
    http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/packages/php/php-branch.sh?r1=1.3&r2=1.4&f=u



More information about the pld-cvs-commit mailing list